Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreeActionNode

    java.lang.Object
      com.ibm.able.rules.AbleTreeNode
          com.ibm.able.rules.AbleTreeActionNode

All Implemented Interfaces:
  java.io.Serializable

public class AbleTreeActionNode
extends AbleTreeNode

This class represents a leaf node in a Decision table or tree. It contains one or more actions.

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `actions`
`protected java.util.Vector` | `myAbleActions`

Constructor Summary
`AbleTreeActionNode()` Create a new tree action node which is a lead node in a decision tree or table with no actions defined.
`AbleTreeActionNode(AbleTreeAction newAction)` Create a new action node which is a leaf node in a decision tree or table with a single action defined.
`AbleTreeActionNode(java.util.Vector newActions)` Create a new action node which is a lead node in a decision tree or table with a specified set of actions.

Method Summary
`void` | `addAction(AbleTreeAction newAction)` Add a single action to this leaf node.
`void` | `addActions(java.util.Vector newActions)` Add a set of actions to this leaf node.
`java.lang.String` | `armlString()` Retrieve an arml representation of this node and its actions.
`java.util.Vector` | `getAbleActions()` Return the list of executable (ABLE) actions.
`java.util.Vector` | `getActions()` Return the list of actions defined in this leaf node.
`void` | `setAbleActions(java.util.Vector newActions)` Set the list of executable (ABLE) actions
`void` | `setActions(java.util.Vector newActions)` Set the list of actions defined in this leaf node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actions

    protected java.util.Vector actions

### myAbleActions

    protected java.util.Vector myAbleActions

Constructor Detail

### AbleTreeActionNode

    public AbleTreeActionNode()

  Create a new tree action node which is a lead node in a decision tree or table with no actions defined.

### AbleTreeActionNode

    public AbleTreeActionNode(AbleTreeAction newAction)

  Create a new action node which is a leaf node in a decision tree or table with a single action defined.

Parameters:
  `newAction` -

### AbleTreeActionNode

    public AbleTreeActionNode(java.util.Vector newActions)

  Create a new action node which is a lead node in a decision tree or table with a specified set of actions.

Parameters:
  `newActions` -

Method Detail

### getActions

    public java.util.Vector getActions()

  Return the list of actions defined in this leaf node.

  Returns:
    The list of actions.

### setActions

    public void setActions(java.util.Vector newActions)

  Set the list of actions defined in this leaf node.

  Parameters:
    `newActions` -

### addActions

    public void addActions(java.util.Vector newActions)

  Add a set of actions to this leaf node.

  Parameters:
    `newActions` -

### addAction

    public void addAction(AbleTreeAction newAction)

  Add a single action to this leaf node.

  Parameters:
    `newAction` -

### getAbleActions

    public java.util.Vector getAbleActions()

  Return the list of executable (ABLE) actions.

  Returns:
    The list of actions.

### setAbleActions

    public void setAbleActions(java.util.Vector newActions)

  Set the list of executable (ABLE) actions

  Parameters:
    `newActions` -

### armlString

    public java.lang.String armlString()

  Retrieve an arml representation of this node and its actions.

  Returns:
    The amrl string.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005